PERTALIFE - Feature #2679

Pembuatan Attandance Report Pertalife
03/26/2024 02:35 PM - Regina Tasya

Status: Closed Start date: 03/26/2024
Priority: Immediate Due date: 06/18/2024
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 10.00 hours

Description
Dear, Mas Shofwan

mohon bantuannya untuk dibuatkan attandance report untuk pertalife, untuk penjelasan lebih detail nya ada pada exel dibawah ini:

ReportID :CRPTATT
MenulD: TMR0009
Rdlname: CRPTATTANDANCE

Port: http://remote.minovais.com:61115/
Server: remote.minovais.com,1452
DB: MinovaES_Pertalife_Prod

menu : HR- HR Administration - Time management - Time Report - Attandance Report

Terima kasih

History

#1 - 03/28/2024 11:15 AM - shofwan shiddiq
- File clipboard-202403281114-ej65l.png added
- Status changed from New to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Attendance Report

HOME > REPORT

Report Parameter

Report Result

I4 | of12 b bl Select a format v | Export

PT Pertalife Insurance
Attendance Report

INSURANCE

Cost Center :

Attendance Type: Normal

Periad 01 January 2024 - 31 January
2024
Employee ID Employee name Cost Center Position Date Attendance Type Clock In Clocl
04450298 ARINTINAAPRIYATI 440 Cust Engag And Service Admin Daerah 02 January 2024 Normal 07:58 17:
06710106 TRIYONO YUDIANTORO 620 DPLK 2 Pension Tax Accounting Officer 02 January 2024 Normal 07:32 17
07470712 AKUB EFFENDIE 440 Cust Engag And Service Admin Daerah 02 January 2024 Normal 0747 17:
07870114 DINI IRYANI 410 OPERATION g;gz‘;‘}lth Claim and Provider 02 January 2024 | Normal 0808 18
08550116 ?EmZiIEATAANUGRAH 440 Cust Engag And Service Admin Daerah 02 January 2024 Normal 08:07 18
08500216 HIDAYATULLOH PRIYQ 310 CAPTIVE MARKETING Key Account Manager 02 January 2024 | Normal 0753 | 18

Dear Tasya, Report Pertalife Attendance Report Sudah di deploy, silahkan di testing..
http://remote.minovais.com:61115/

RDL: CRPTATTANDANCE
SP: CRPTATTANDANCE
Report ID: CRPTATT

#2 - 04/03/2024 11:44 AM - Regina Tasya
- Status changed from QA Test to Closed

sudah di testing dan sudah sesuai, terima kasih Mas Shofwan

#3 - 05/02/2024 05:46 PM - Regina Tasya
- Status changed from Closed to Assigned

- Assignee changed from Regina Tasya to indra Z

#4 - 05/02/2024 05:51 PM - Kezia Pawitra Yulianti
- Status changed from Assigned to QA Test

#5 - 05/07/2024 01:57 PM - indra Z
- Status changed from QA Test to Closed

#6 - 05/24/2024 09:21 AM - Regina Tasya
- Status changed from Closed to Revise

- Assignee changed from indra Z to shofwan shiddiq

Dear kak shofwan,

Ingin minta bantuannya untuk merevisi report attandance, dimana untuk attandance type : Dinas, training, WFH, izin datang telat, izin pulang cepat itu
kolom deviation in&out tidak perlu diisi.

Terima kasih

Port: http://remote.minovais.com:61115/
Server: remote.minovais.com,1452

DB: MinovaES_Pertalife_Prod

menu : HR- HR Administration - Time management - Time Report - Attandance Report

#7 - 05/24/2024 04:04 PM - shofwan shiddiq
- File clipboard-202405241604-fbfnt.png added
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya
http://remote.minovais.com:61115/

Redmine Feature #: Pembuat: x & Mir

Minova ES | Stocl

a ES | Home x = Minova ES | Attendance R

c /\ Notsecure  remote.minovais.com:61115/Page/reports?P10gaDZHG1CtGxdWRVGtwmZoJtKdgdPf

= my Master Financial Human Logistic & Business Menu system .
i Search Q@ minovais -
Workplace Data Accounting Resource Service D
- rerioa 10: Attenaance lype "
" 31/05/2024 VP Dinas
B My Workplace @ View Report |}
@& Master Data Report Result a

I Financial Accounting

4 4 1 ofL b Pl
M Organization Management
Time Data
Export Time Data 3 Key Account Manager 02 May 2024 Dinas 21:09 21:09 05 05
Generate Work Schedule 3 Captive Marketing Manager 1 02 May 2024 Dinas 08:36 18:49 05 05
Calendar Key Account Manager 03 May 2024 Dinas 08:37 22:01 05 05
Generat=Absence Quota Captive Marketing Manager 1 03 May 2024 Dinas 07:58 2216 05 05
View Personal WS 3 Key Account Manager 03May 2024 | Dinas 09:35 2202 05 05

Gensrats Personal WS PJS VP Captive Marketing 06 May 2024 | Dinas 10:10 05

3 Key Account Manager 06 May 2024 Dinas 07:56 : 05

Attandanna Danan 3 Key Account Manager 06 May 2024 Dinas 08:48 : 0.5
PJS VP Captive Marketing 07 May 2024 Dinas 08:37 22:26 0.5 05

3 Key Account Manager 07 May 2024 Dinas 08:36 : 05
Sudah di update ya sesuai permintaan.
UPDATE SP:
[CRPTATTANDANCE]

#8 - 05/29/2024 10:16 AM - Regina Tasya
- Status changed from QA Test to Closed

#9 - 06/06/2024 03:49 PM - Regina Tasya
- Status changed from Closed to Revise

- Assignee changed from Regina Tasya to shofwan shiddiq

dear mas shofwan,

ingin minta bantuannya untuk report attandance ini untuk tampilan reportnya urutannya berdasarkan :
dilihat dari tanggal dulu, kemudian urutan cost center yang diurutkan berdasarkan penomoran yang di CC dan kemudian urutan employee id

terima kasih

#10 - 06/06/2024 05:09 PM - Kezia Pawitra Yulianti
- Due date set to 06/07/2024

- Priority changed from Normal to Immediate

dear Aa,
tolong untuk di prioritasin task ini dl yaa. Tks

#11 - 06/07/2024 02:17 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Regina Tasya

urutan sudah berdasarkan tanggal, cost center dan employee id yah

#12 - 06/14/2024 12:37 PM - Regina Tasya
- File clipboard-202406141236-jmgxg.png added
- Due date changed from 06/07/2024 to 06/14/2024

- Assignee changed from Regina Tasya to shofwan shiddiq

07/02/2025 3/6



dear kak sofwan,
ingin bantuannya, ada penambahan parameter yaitu employeeid dan absence type
Attendance Report

HOME > REPORT

Report Parameter

-
Period From: Cost Center:
Period To: Attendance Type:
Employee 1D: =~ Absence Type:
-
@& View Report
Report Result a
mohon bantuannya untuk filter tersebut bisa berfungsi di reportnya
terima kasih
#13 - 06/14/2024 04:24 PM - shofwan shiddiq
- File clipboard-202406141624-4mkvl.png added
- Status changed from Revise to QA Test
- Assignee changed from shofwan shiddiq to Regina Tasya
= M Masts Fi 1] H L tic & Busi Me! System _
e o i, IS S i i S O (@) mnows -
-
Report Parameter -
I My Workplace Period From: 01/01/2024 Cost Center:
B Master Data Period To: #1/07/2024 Attendance Type:
B Financial Accounting
Employee ID: 1090923 7 : Y Absence Type:

@ View Report
B Organization Management

Report Result

B Recruitment Management

-

I Employee Administration

H 4 |1 oft B P Select a format v | Export

: PT Pertalife Insurance
Time Data
Import Time Data TALIFE Attendance Report
Export Time Data
Cost Center :
Generate Work Schedule
Attendance Type -
S Period 01 January 2024 - 31 January
Generate Absence Quota 2024

View Personal WS
Employee ID Employee name Cost Center

Position Date Attendance Type Clg
Generate Personal WS
11090923 BRIAN ILHAM IRAWAN 420 TECHNIQUE Underwriting Staff 01 January 2024 | Dinas
Attendance Recap 11090523 BRIAN ILHAM IRAWAN 420 TECHNIQUE Underwriting Staff 10 January 2024 | Normal 0t

Dear Tasya, penambahan parameter sudah di deploy yah.
Untuk parameter absen type itu untuk filter apa ya??

#14 - 06/14/2024 06:24 PM - Regina Tasya

- Due date changed from 06/14/2024 to 06/18/2024

- Status changed from QA Test to Revise

- Assignee changed from Regina Tasya to shofwan shiddiq
dear mas shofwan,

untuk report attandance :
1. menghubungkan filter report parameter employee id

2. saat pengisian filter untuk attandence type kosong/tidak diisi maka akan menampilkan data attandance type (PHRTMATTTYP) dan absence

type (PHRTMABSTYP)(seluruhnya nampil)

3. mereka tidak ingin menambahkan filter absence type, jadi udah saya hide.

terima kasih

#15 - 06/18/2024 03:45 PM - shofwan shiddiq
- File clipboard-202406181542-wsb5lj.png added
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Dear Tasya, Report Attendance Sudah di merge dengan data absence

= My Master Financial Human Logistic & Business Menu System 5 N
Workplace Data Accounting Resource Service Dy P Search.. Q . minovais
Attendance Report
@ My Workplace HOME > REPORT
B Master Data
Report Parameter
@ Financial Accounting P
Report Result
o4 [e oz b M (Sesmaima  vlege
M Organization Management Employee ID Employee name Cost Center Position Date Attendance Type Clockin Clo
I Recruitment Management N
11090923 BRIAN ILHAM IRAWAN 420 TECHNIQUE Underwriting Staff 01 January 2024 Dinas 0
B Employee Administration
10281121 MICF)’E;?M MAD TOUFAN 510 IT AND DIGITALIZATION DH IT Operation 01 January 2024 Work From Home 0
. 10780922 GERRY RIZKI SANJAYA 02 January 2024 Normal 08:19
Time Data
import Time Data 10100421 Joko Suwaryo 210 ACTUARY Appointed Actuary 02 January 2024 Normal 08:50 1
. 09140217 NASHRULLAH 220 CORPORATE SECRETARY Corporate Communication Staff 02 January 2024 Cuti Tahunan 07:35 2
Export Time Data
R 08900121 CLARAMELDATITALESSY | 220 CORPORATE SECRETARY Senior Secretary 02 January 2024 | Normal 17:09 1
Calendar 10000321 | KUNTORO 220 CORPORATE SECRETARY Design and Digital Communication | 03 January 2024 | Normel 1830 | 1
Generate Absence Quota
03500016 | HIDAYATULLOH PRIYO 310 CAPTIVE MARKETING Key Account Manager 02 January 2024 | Normal o753 | 1
. UTOMO
View Personal WS
09640419 IRMHA CHAERUNNISA 310 CAPTIVE MARKETING Key Account Manager 02 January 2024 Dinas 07:55
Generate Personal WS
09660619 RESTY IRMAARIA 310 CAPTIVE MARKETING Captive Marketing Manager 1 02 January 2024 Normal 08:10
P - 10120421 Annisa Salima Albayroni 310 CAPTIVE MARKETING Key Account Manager 02 January 2024 Normal 07:13 2
10670522 MUHAMMAD FAISAL MAHDI | 310 CAPTIVE MARKETING Key Account Manager 02 January 2024 Normal 07:15 2
10040523 Andi Rita Anactacua Rasn 210 CAPTIVF MARKFTING Kev Acrnint Mananar 02 annary 2024 | Nermal 72116 2

dan filter juga sudah berfungsi semua

#16 - 06/24/2024 11:44 AM - Regina Tasya
- Status changed from QA Test to Closed

#17 - 07/01/2024 03:38 PM - Muhammad Bintar
- File clipboard-202407011538-obkwc.png added

- Assignee changed from Regina Tasya to shofwan shiddiq

sudah deploy ke link production

07/02/2025
Cost Center:
e

Cost Center
Attandance Type©  Nommal
Period 01 June 2024 - 30 June 2024

Employee ID Cost Center

10100421 Joko Suwaryo 210 ACTUARY

PT Pertalife Insurance
Attendance Report

Appointed Actuary 03 June 2024 Normal

10120421 Anniza Salima Albayroni 310 CAPTIVE MARKETING

Key Account Manager 1 03 June 2024 Normal
